System.Security 2.0.0.0 4.0.0.0 System.Security.Cryptography.Xml.EncryptedReference

The class represents the <DataReference> element that contains the location of encrypted data used with XML encryption.

<DataReference> elements are used to refer to <EncryptedData> elements that were encrypted using the key defined in the enclosing <EncryptedKey> element. Multiple <DataReference> elements can occur if multiple <EncryptedData> elements exist that are encrypted using the same key.

For more information about XML encryption standards, see http://www.w3.org/TR/xmlenc-core/.

Represents the <DataReference> element used in XML encryption. This class cannot be inherited.

- Constructor
  2.0.0.0
  4.0.0.0

  This constructor creates a new instance of the class that represents the <DataReference> element. <DataReference> is a child element of the <ReferenceList> element.

  For more information about XML encryption standards, see http://www.w3.org/TR/xmlenc-core/.

  Initializes a new instance of the class.

- Constructor
  2.0.0.0
  4.0.0.0

  This constructor uses the specified Uniform Resource Identifier (URI) to create a new instance of the class, which represents the <DataReference> element. The URI indicates the location of encrypted data. The <DataReference> element is a child element of the <ReferenceList> element.

  For more information about XML encryption standards, see http://www.w3.org/TR/xmlenc-core/.

  Initializes a new instance of the class using the specified Uniform Resource Identifier (URI).

  A Uniform Resource Identifier (URI) that points to the encrypted data.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  This constructor uses the specified Uniform Resource Identifier (URI) and transform chain to create a new instance of the class, which represents the <DataReference> element. The URI indicates the location of encrypted data, and the transform chain can contain XPath transforms, decompression transforms, or information on how to retrieve the encrypted data from a document storage facility. <DataReference> is a child element of the <ReferenceList> element.

  For more information about XML encryption standards, see http://www.w3.org/TR/xmlenc-core/.

  Initializes a new instance of the class using the specified Uniform Resource Identifier (URI) and a object.

  A Uniform Resource Identifier (URI) that points to the encrypted data.